cudnn_frontend::Engine_v8::Knob
cudnnBackendKnobType_t cudnnBackendKnobType_t cudnn_frontend::Engine_v8::Knob::knobType knobType = CUDNN_KNOB_TYPE_COUNTS describe getKnobType
int64_t int64_t cudnn_frontend::Engine_v8::Knob::maxValue maxValue = 0 cudnn_frontend::Engine_v8::buildKnobs describe
int64_t int64_t cudnn_frontend::Engine_v8::Knob::minValue minValue = 0 cudnn_frontend::Engine_v8::buildKnobs describe getMaxValue getMinValue
int64_t int64_t cudnn_frontend::Engine_v8::Knob::stride stride = 0

min, max and stride of the knob value

cudnn_frontend::Engine_v8::buildKnobs
describe
getStride
int64_t int64_t cudnn_frontend::Engine_v8::Knob::choice choice = -1

Choice set by the user.

getChoice
setChoice
cudnn_frontend::Engine_v8::Knob::Knob
(cudnnBackendKnobType_t type_, int64_t max, int64_t min, int64_t stride_)
Knob
cudnnBackendKnobType_t type_
int64_t max
int64_t min
int64_t stride_
cudnn_frontend::Engine_v8::buildKnobs
std::string std::string cudnn_frontend::Engine_v8::Knob::describe () const describe knobType maxValue minValue stride
void void cudnn_frontend::Engine_v8::Knob::setChoice (uint64_t val_) setChoice uint64_t val_ choice
int64_t int64_t cudnn_frontend::Engine_v8::Knob::getChoice () const getChoice choice cudnn_frontend::Engine_v8::knobs_set
cudnnBackendKnobType_t cudnnBackendKnobType_t cudnn_frontend::Engine_v8::Knob::getKnobType () const getKnobType knobType
int64_t int64_t cudnn_frontend::Engine_v8::Knob::getMinValue () const getMinValue minValue
int64_t int64_t cudnn_frontend::Engine_v8::Knob::getMaxValue () const getMaxValue minValue
int64_t int64_t cudnn_frontend::Engine_v8::Knob::getStride () const getStride stride

Internal class which controls the different knobs for a given engine Has min-max and stride as the options. User has the option to set the required value as a choice.

int64_t
cudnnBackendKnobType_t
cudnn_frontend::Engine_v8::Knob
-knobType
-minValue
-maxValue
-stride
-choice
- cudnn_frontend::Engine_v8::Knob
  choice
- cudnn_frontend::Engine_v8::Knob
  describe
- cudnn_frontend::Engine_v8::Knob
  getChoice
- cudnn_frontend::Engine_v8::Knob
  getKnobType
- cudnn_frontend::Engine_v8::Knob
  getMaxValue
- cudnn_frontend::Engine_v8::Knob
  getMinValue
- cudnn_frontend::Engine_v8::Knob
  getStride
- cudnn_frontend::Engine_v8::Knob
  Knob
- cudnn_frontend::Engine_v8::Knob
  knobType
- cudnn_frontend::Engine_v8::Knob
  maxValue
- cudnn_frontend::Engine_v8::Knob
  minValue
- cudnn_frontend::Engine_v8::Knob
  setChoice
- cudnn_frontend::Engine_v8::Knob
  stride